## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# tests are enabled by default
%bcond_without tests

%global         srcname     google-cloud-appengine-admin
%global         forgeurl    https://github.com/googleapis/python-appengine-admin
Version:        1.3.2
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python Client for Google Cloud App Engine Admin

License:        ASL 2.0
URL:            %forgeurl
Source0:        %forgesource
Patch0:         python-google-cloud-appengine-admin-mock.patch

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
App Engine Admin allows you to manage your App Engine applications.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup -p1


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google

# Remove unneeded executable.
rm -f %{buildroot}%{_bindir}/fixup_accessapproval_v1_keywords.py


%if %{with tests}
%check
# Work around an usual pytest/PEP 420 issue where pytest can't import the
# installed module. Thanks to mhroncok for the help!
mv google{,_}
%pytest --disable-warnings tests/unit
mv google{_,}
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst CHANGELOG.md
%{python3_sitelib}/google_cloud_appengine_admin-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Tue Mar 08 2022 Major Hayden <major@mhtx.net> 1.3.2-1
- Update to 1.3.2

* Wed Feb 23 2022 Major Hayden <major@mhtx.net> 1.3.1-1
- Update to 1.3.1

* Wed Feb 09 2022 Major Hayden <major@mhtx.net> 1.3.0-2
- Bump revision

* Fri Jan 28 2022 Major Hayden <major@mhtx.net> 1.3.0-1
- Update to 1.3.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> 1.2.1-1
- Update to 1.2.1

* Mon Oct 11 2021 Major Hayden <major@mhtx.net> 1.2.0-1
- Update to 1.2.0

* Tue Oct 05 2021 Major Hayden <major@mhtx.net> 1.1.5-1
- Initial import (#1998338)
